Run of fresh-releases for gitleaks

Try this locally package):

debcheckout gitleaks
cd gitleaks
DEB_UPDATE_CHANGELOG=auto deb-new-upstream --debian-revision=0kali1 --require-uscan --refresh-patches
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
[2021-10-17 21:51:35] Opening branch at https://gitlab.com/kalilinux/packages/gitleaks.git/,branch=kali%2Fmaster
[2021-10-17 21:51:36] Using cached branch https://janitor.kali.org/git/gitleaks/,branch=kali%2Flatest
[2021-10-17 21:51:36] Using resume branch: https://janitor.kali.org/git/gitleaks,branch=fresh-releases%2Fmain
[2021-10-17 21:51:37] Total 788 (delta 192), reused 561 (delta 0)
[2021-10-17 21:51:37] 
[2021-10-17 21:51:40] Total 151 (delta 92), reused 59 (delta 0)
[2021-10-17 21:51:42] Total 143 (delta 89), reused 54 (delta 0)
[2021-10-17 21:51:44] All changes applied successfully.
[2021-10-17 21:51:46] 11/111), done.
Compressing objects:   2% (1/37)
Compressing objects:   5% (2/37)
Compressing objects:   8% (3/37)
Compressing ob
[2021-10-17 21:51:46] Total 63 (delta 51), reused 37 (delta 26), pack-reused 0
[2021-10-17 21:51:46] restarting branch
[2021-10-17 21:51:49] lta 51), reused 37 (delta 26), pack-reused 0
[2021-10-17 21:51:52] All changes applied successfully.
[2021-10-17 21:51:54] ), done.
Compressing objects:   7% (1/13)
Compressing objects:  15% (2/13)
Compressing objects:  23% (3/13)
Compressing objects:
[2021-10-17 21:51:54] Total 17 (delta 2), reused 17 (delta 2), pack-reused 0
[2021-10-17 21:51:57] Total 6 (delta 0), reused 6 (delta 0), pack-reused 0
[2021-10-17 21:51:57] Workspace ready - starting.
[2021-10-17 21:51:57] Running ['deb-new-upstream', '--debian-revision=0kali1', '--require-uscan', '--refresh-patches']
[2021-10-17 21:51:57] Assuming changelog does not need to be updated, since there is a [dch] section in gbp.conf.
Using upstream branch https://github.com/zricethezav/gitleaks.git (from configuration)
Total 5536 (delta 195), reused 260 (delta 122), pack-reused 5144
Using version string 7.6.1.
No upstream upstream-revision format specified, trying tag:7.5.0
No upstream upstream-revision format specified, trying tag:gitleaks-7.5.0
No upstream upstream-revision format specified, trying tag:v7.5.0
Not including upstream history, since previous upstream version (7.5.0) is not present in packaging branch history.
Using uscan to look for the upstream tarball.
Use of uninitialized value in concatenation (.) or string at /usr/share/perl5/Devscripts/Uscan/WatchLine.pm line 868.
Imported gitleaks_7.6.1.orig.tar.gz with pristine-tar.
Traceback (most recent call last):
  File "/opt/debian-janitor/breezy-debian/scripts/deb-new-upstream", line 1306, in main
    require_uscan=args.require_uscan,
  File "/opt/debian-janitor/breezy-debian/scripts/deb-new-upstream", line 1023, in merge_upstream
    files_excluded=files_excluded,
  File "/home/janitor/.config/breezy/plugins/debian/merge_upstream.py", line 179, in do_merge
    committer=committer, files_excluded=files_excluded)
  File "/home/janitor/.config/breezy/plugins/debian/import_dsc.py", line 1348, in merge_upstream
    merge_type=merge_type)
  File "/opt/debian-janitor/breezy/breezy/workingtree.py", line 681, in merge_from_branch
    conflicts = merger.do_merge()
  File "/opt/debian-janitor/breezy/breezy/merge.py", line 670, in do_merge
    merge = self._do_merge_to()
  File "/opt/debian-janitor/breezy/breezy/merge.py", line 633, in _do_merge_to
    merge.do_merge()
  File "/opt/debian-janitor/breezy/breezy/merge.py", line 774, in do_merge
    self._compute_transform()
  File "/opt/debian-janitor/breezy/breezy/merge.py", line 824, in _compute_transform
    self._finish_computing_transform()
  File "/opt/debian-janitor/breezy/breezy/merge.py", line 834, in _finish_computing_transform
    lambda t, c: transform.conflict_pass(t, c, self.other_tree))
  File "/opt/debian-janitor/breezy/breezy/transform.py", line 906, in resolve_conflicts
    raise MalformedTransform(conflicts=conflicts)
breezy.transform.MalformedTransform: Tree transform is malformed [('unversioned executability', 'new-14'), ('unversioned executability', 'new-800'), ('unversioned executability', 'new-811'), ('unversioned executability', 'new-856')]
Malformed tree transform during new upstream merge

Full worker log